<template>
  <div class="d-flex flex-column p-0 bg-transparent" :data-cy="getRepresentativeLocaleOf(getTitle, $route.query.locale, getLanguages)
      && `dataset@${getRepresentativeLocaleOf(getTitle, $route.query.locale, getLanguages)}`">
    <dataset-details-navigation v-if="topTitle" :dataset-id="getID" />
    <div class="container-fluid mb-5 pt-1 content dsd-content">
      <dataset-details-header />
      <dataset-details-navigation v-if="!topTitle" :dataset-id="getID" />
      <hr v-if="topTitle" />
      <router-view name="datasetDetailsSubpages"></router-view>
    </div>
    <dataset-details-comments v-if="useCommentsAndLikes"/>
  </div>
  </template>

    <script>
    import { mapGetters } from 'vuex';
    import DatasetDetailsHeader from "./datasetDetails/DatasetDetailsHeader.vue";
    import DatasetDetailsComments from './datasetDetails/datasetDetailsCommentsAndLikes/DatasetDetailsComments.vue';
    import { DatasetDetailsNavigation, helpers } from "@piveau/piveau-hub-ui-modules";
    const { getRepresentativeLocaleOf, getTranslationFor } = helpers;


    export default {
      name: 'datasetDetails',
      components: {
        DatasetDetailsHeader,
        DatasetDetailsNavigation,
        DatasetDetailsComments
      },
      metaInfo() {
        const datasetTitleTranslated = this.getTranslationFor(this.getTitle, this.$route.query.locale, this.getLanguages);
        const title = datasetTitleTranslated ? `${datasetTitleTranslated} - ${this.$env.metadata.title}` : undefined;
        return {
          titleTemplate(chunk) {
            return chunk ? `${chunk} - ${title}` : title;
          },
        };
      },
      data() {
        return {
/*************  ✨ Codeium Command ⭐  *************/
/**
 * Generates metadata information for the page, including the title template.
 * Translates the dataset title based on the current locale and appends a suffix
 * from the environment metadata title. Returns an object with a `titleTemplate`
 * function that formats the full title using a given chunk or defaults to the
 * translated dataset title.
 */

/******  572fed66-e623-4603-88e2-f213db06c22b  *******/          useCommentsAndLikes: this.$env.content.datasetDetails.showRatingService,
          topTitle: this.$env.content.datasetDetails.header.navigation === "top",
          previousRoute: null,
        };
      },
      props: {
        activeTab: {
          type: Number,
          default: 0
        },
        citationStyle: String
      },
      computed: {
        ...mapGetters('datasetDetails', [
          'getID',
          'getLanguages',
          'getTitle',
          'getDescription',
        ]),
      },
      methods: {
        getRepresentativeLocaleOf,
        getTranslationFor,
      },
      beforeRouteEnter(to, from, next) {
        console.log('beforeRouteEnter', to, from);
        next(vm => {
          vm.previousRoute = from;
        })
      }
    };
    </script>

  <style lang="scss">
  .content {
    padding: 30px 30px 0 30px;
    margin-top: 15px;
    margin-bottom: 15px;
    background-color: white;
  }

  </style>
